libnet: config.h Source File

Main Page | Data Structures | File List | Data Fields | Globals

# config.h

    00001 /* include/config.h.in.  Generated from configure.in by autoheader.  */
    00002 /*
    00003 dnl $Id: config.h,v 1.4 2004/01/03 20:31:00 mike Exp $
    00004 dnl
    00005 dnl Libnet autoconfiguration acconfig.h file
    00006 dnl Copyright (c) 1998 - 2004 Mike D. Schiffman <mike@infonexus.com>
    00007 dnl All rights reserved.
    00008 dnl
    00009 dnl Process this file with autoheader to produce a config.h file.
    00010 dnl
    00011 */
    00012
    00013 #undef LIBNET_BSDISH_OS
    00014 #undef LIBNET_BSD_BYTE_SWAP
    00015 #undef DLPI_DEV_PREFIX
    00016 #undef HAVE_DEV_DLPI
    00017 #undef HAVE_SOLARIS
    00018 #undef HAVE_SOLARIS_IPV6
    00019 #undef HAVE_HPUX11
    00020 #undef HAVE_SOCKADDR_SA_LEN
    00021 #undef HAVE_DLPI
    00022 #undef HAVE_PACKET_SOCKET
    00023 #undef HAVE_STRUCT_IP_CSUM
    00024 #undef HAVE_LIB_PCAP
    00025 #undef LBL_ALIGN
    00026 #undef STUPID_SOLARIS_CHECKSUM_BUG
    00027 #undef _BSD_SOURCE
    00028 #undef __BSD_SOURCE
    00029 #undef __FAVOR_BSD
    00030 #undef LIBNET_BIG_ENDIAN
    00031 #define LIBNET_LIL_ENDIAN 1
    00032 #undef NO_SNPRINTF
    00033
    00034
    00035 /*
    00036 dnl EOF
    00037 */
    00038
    00039 /* Define to 1 if you have the <inttypes.h> header file. */
    00040 #undef HAVE_INTTYPES_H
    00041
    00042 /* Define to 1 if you have the `nsl' library (-lnsl). */
    00043 #undef HAVE_LIBNSL
    00044
    00045 /* Define to 1 if you have the `packet' library (-lpacket). */
    00046 #undef HAVE_LIBPACKET
    00047
    00048 /* Define to 1 if you have the `socket' library (-lsocket). */
    00049 #undef HAVE_LIBSOCKET
    00050
    00051 /* Define to 1 if you have the `wpcap' library (-lwpcap). */
    00052 #undef HAVE_LIBWPCAP
    00053
    00054 /* Define to 1 if you have the <memory.h> header file. */
    00055 #undef HAVE_MEMORY_H
    00056
    00057 /* Define to 1 if you have the <net/ethernet.h> header file. */
    00058 #define HAVE_NET_ETHERNET_H 1
    00059
    00060 /* Define to 1 if you have the <stdint.h> header file. */
    00061 #undef HAVE_STDINT_H
    00062
    00063 /* Define to 1 if you have the <stdlib.h> header file. */
    00064 #undef HAVE_STDLIB_H
    00065
    00066 /* Define to 1 if you have the `strerror' function. */
    00067 #define HAVE_STRERROR 1
    00068
    00069 /* Define to 1 if you have the <strings.h> header file. */
    00070 #undef HAVE_STRINGS_H
    00071
    00072 /* Define to 1 if you have the <string.h> header file. */
    00073 #undef HAVE_STRING_H
    00074
    00075 /* Define to 1 if you have the <sys/bufmod.h> header file. */
    00076 #undef HAVE_SYS_BUFMOD_H
    00077
    00078 /* Define to 1 if you have the <sys/dlpi_ext.h> header file. */
    00079 #undef HAVE_SYS_DLPI_EXT_H
    00080
    00081 /* Define to 1 if you have the <sys/sockio.h> header file. */
    00082 #undef HAVE_SYS_SOCKIO_H
    00083
    00084 /* Define to 1 if you have the <sys/stat.h> header file. */
    00085 #undef HAVE_SYS_STAT_H
    00086
    00087 /* Define to 1 if you have the <sys/types.h> header file. */
    00088 #undef HAVE_SYS_TYPES_H
    00089
    00090 /* Define to 1 if you have the <unistd.h> header file. */
    00091 #undef HAVE_UNISTD_H
    00092
    00093 /* Name of package */
    00094 #undef PACKAGE
    00095
    00096 /* Define to the address where bug reports for this package should be sent. */
    00097 #undef PACKAGE_BUGREPORT
    00098
    00099 /* Define to the full name of this package. */
    00100 #undef PACKAGE_NAME
    00101
    00102 /* Define to the full name and version of this package. */
    00103 #undef PACKAGE_STRING
    00104
    00105 /* Define to the one symbol short name of this package. */
    00106 #undef PACKAGE_TARNAME
    00107
    00108 /* Define to the version of this package. */
    00109 #undef PACKAGE_VERSION
    00110
    00111 /* Define to 1 if you have the ANSI C header files. */
    00112 #undef STDC_HEADERS